%define		realname PyBluez
Summary:	Python API for Bluetooth resources
Summary(pl.UTF-8):	API Pythona do obsługi urządzeń Bluetooth
Name:		python-bluetooth
Version:	0.18
Release:	5
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://pybluez.googlecode.com/files/%{realname}-%{version}.tar.gz
# Source0-md5:	be8c8ce615c3189fda1aaf3d568314b2
URL:		http://code.google.com/p/pybluez/
BuildRequires:	bluez-libs-devel
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
Obsoletes:	python-pybluez <= 0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyBluez is an effort to create Python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%description -l pl.UTF-8
PyBluez to próba stworzenia pythonowej obudowy dla zasobów systemowych
Bluetooth w celu umożliwienia programistom Pythona łatwego i szybkiego
tworzenia aplikacji Bluetooth.

%prep
%setup -q -n %{realname}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{py_sitedir}/%{realname}-%{version}-py*.egg-info
%dir %{py_sitedir}/bluetooth
%{py_sitedir}/bluetooth/*.py[co]
%attr(755,root,root) %{py_sitedir}/bluetooth/_bluetooth.so
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-bluetooth.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> bbb86f0
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 894d882
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b26144d
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d68d016
- automatic change: use py_build/py_install macros

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> c34ca76
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c02df2
- release 2

* Sun Jun 13 2010 arvenil <arvenil@pld-linux.org> 5855bdc
- up to 0.18

* Sun Oct 25 2009 Artur Frysiak <artur@frysiak.net> 6ee88d2
- updated to 0.17

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 8ad6bab
- up to 0.16

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a897a07
- release 4

* Tue Sep 16 2008 Jakub Bogusz <qboosh@pld-linux.org> e9ee187
- docs are back
- License is GPL
- release 3

* Tue Sep 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 1c4c608
- pl (partially merged from old spec)

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> d17a8a2
- Obsoletes: python-pybluez
- rel 2

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> ac26afc
- initial PLD release

